Package com.independentsoft.office.spreadsheet

# Enum Class ContentStory

java.lang.Object
java.lang.Enum<ContentStory>
com.independentsoft.office.spreadsheet.ContentStory

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentStory>`, `Constable`

public enum ContentStory extends Enum<ContentStory>
Specifies the part of a workbook a match was found in.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL`
  The text of a cell.
  `COMMENT`
  A comment.
  `FOOTER`
  The footer of a sheet.
  `FORMULA`
  The formula of a cell.
  `HEADER`
  The header of a sheet.
  `SHAPE`
  The text of a shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContentStory`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContentStory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CELL

    public static final ContentStory CELL
    The text of a cell.

  - ### FORMULA

    public static final ContentStory FORMULA
    The formula of a cell.

  - ### COMMENT

    public static final ContentStory COMMENT
    A comment.

  - ### HEADER

    public static final ContentStory HEADER
    The header of a sheet.

  - ### FOOTER

    public static final ContentStory FOOTER
    The footer of a sheet.

  - ### SHAPE

    public static final ContentStory SHAPE
    The text of a shape.

- ## Method Details

  - ### values

    public static ContentStory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContentStory valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null